import React, { useEffect } from "react";
import { Routes, Route, useNavigate } from "react-router-dom";
import { Provider } from "react-redux";

import { MainPage } from "./pages/main";
import { Lesson } from "./pages/Lesson";
import { UserPage } from "./pages/UserPage";

const Redirect = ({ path }) => {
  const navigate = useNavigate();

  useEffect(() => {
    navigate(path);
  }, []);

  return null;
};

export const Dashboard = ({ store }) => (
  <Provider store={store}>
    <Routes>
      <Route path="/journal" element={<Redirect path="/journal/main" />} />
      <Route path="/journal/main" element={<MainPage />} />
      <Route path="/journal/u/:lessonId/:accessId" element={<UserPage />} />
      <Route path="/journal/l/:lessonId" element={<Lesson />} />
    </Routes>
  </Provider>
);
